Skip to main content
POST
Select the account or Pages to connect from a pending connection

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

connection_id
string
required

Pending connection ID

Body

application/json

Chosen platform_account_id (Google) or page_ids (Facebook)

page_ids
string[]

PageIDs selects the Facebook Pages to assign to the brand (Facebook pending connections only).

platform_account_id
string

PlatformAccountID selects the Google Business Profile to connect (Google pending connections only).

Example:

"accounts/123/locations/456"

Response

Created

account_id
string
required
Example:

"acc_01HZ9X3Q4R5M6N7P8V2K0W1J"

brand_id
string
required

BrandID is the brand the account was connected to. When the connect request named no brand, this is the brand created for it.

Example:

"b7e3c1a2-4f5d-4e8a-9b1c-2d3e4f5a6b7c"

display_name
string
required
Example:

"Acme Corp"

platform
enum<string>
required
Available options:
app_store_connect,
bluesky,
facebook,
google,
instagram,
instagram_fb,
linkedin,
linkedin_page,
pinterest,
telegram,
threads,
tiktok,
twitter,
whatsapp,
youtube,
zalo
Example:

"instagram"

username
string
required
Example:

"acmecorp"